Attributes
Update an attribute
PATCH
/
attributes
/
{id}
Update an attribute
curl --request PATCH \
--url https://api.breakcold.com/rest/attributes/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"currency": "<string>",
"select_options": [
{
"name": "<string>",
"id": "<string>",
"color": "<string>"
}
]
}
'import requests
url = "https://api.breakcold.com/rest/attributes/{id}"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"currency": "<string>",
"select_options": [
{
"name": "<string>",
"id": "<string>",
"color": "<string>"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
currency: '<string>',
select_options: [{name: '<string>', id: '<string>', color: '<string>'}]
})
};
fetch('https://api.breakcold.com/rest/attributes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"isMultiSelect": true,
"isSystem": true,
"created_at": "<string>",
"updated_at": "<string>",
"id_space": "<string>",
"attribute_definitions_select_options_order": [
"<string>"
],
"object_definitionsId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorizations
Path Parameters
Body
application/json
Response
Successful response
Available options:
TEXT, TEXTAREA, NUMBER, EMAIL, CHECKBOX, DATE, TIMESTAMP, SELECT, CURRENCY, LOCATION, PHONENUMBER, RELATION Was this page helpful?
⌘I
Update an attribute
